Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdftke.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdftke.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ZDF/zdftke.F90	(revision 11782)
@@ -663,5 +663,5 @@
       READ  ( numnam_cfg, namzdf_tke, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namzdf_tke in configuration namelist' )
-      IF(lwm) WRITE ( numond, namzdf_tke )
+      IF(lwm.AND. nprint > 2) WRITE ( numond, namzdf_tke )
       !
       ri_cri   = 2._wp    / ( 2._wp + rn_ediss / rn_ediff )   ! resulting critical Richardson number
@@ -797,5 +797,5 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp) WRITE(numout,*) '---- tke_rst ----'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '---- tke_rst ----'
          IF( lwxios ) CALL iom_swap(      cwxios_context          ) 
          CALL iom_rstput( kt, nitrst, numrow, 'en'   , en   , ldxios = lwxios )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/nemogcm.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/nemogcm.F90	(revision 11782)
@@ -153,5 +153,5 @@
       CALL mpp_max( 'nemogcm', nstop )
 
-      IF(lwp) WRITE(numout,cform_aaa)   ! Flag AAAAAAA
+      IF(lwp .AND. nprint > 1) WRITE(numout,cform_aaa)   ! Flag AAAAAAA
 
       !                            !-----------------------!
@@ -226,5 +226,5 @@
       !                            !==  finalize the run  ==!
       !                            !------------------------!
-      IF(lwp) WRITE(numout,cform_aaa)        ! Flag AAAAAAA
+      IF(lwp .AND. nprint > 1) WRITE(numout,cform_aaa)        ! Flag AAAAAAA
       !
       IF( nstop /= 0 .AND. lwp ) THEN        ! error print
@@ -309,5 +309,4 @@
                   CALL ctl_opn( numnam_ref,        'namelist_ref',     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
                   CALL ctl_opn( numnam_cfg,        'namelist_cfg',     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
-      IF( lwm )   CALL ctl_opn(     numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
       ! open /dev/null file to be able to supress output write easily
                   CALL ctl_opn(     numnul,           '/dev/null', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
@@ -325,4 +324,8 @@
       !
       lwp = (narea == 1) .OR. ln_ctl    ! control of all listing output print
+      !
+      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
+      !
+      IF( lwm .AND. nprint > 2 )   CALL ctl_opn(     numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
       !
       IF(lwp) THEN                      ! open listing units
@@ -352,5 +355,5 @@
          WRITE(numout,*)
          !
-         WRITE(numout,cform_aaa)                                        ! Flag AAAAAAA
+         IF(nprint > 1) WRITE(numout,cform_aaa)                                        ! Flag AAAAAAA
          !
       ENDIF
@@ -369,5 +372,5 @@
       ENDIF
       !
-      IF(lwm) WRITE( numond, namctl )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namctl )
       !
       !                             !------------------------------------!
@@ -388,5 +391,5 @@
       ENDIF
       !
-      IF(lwm)   WRITE( numond, namcfg )
+      IF(lwm .AND. nprint > 2)   WRITE( numond, namcfg )
       !
       !                             !-----------------------------------------!
@@ -492,5 +495,5 @@
       IF( lk_asminc    )   CALL asm_inc_init    ! Initialize assimilation increments
       !
-      IF(lwp) WRITE(numout,cform_aaa)           ! Flag AAAAAAA
+      IF(lwp .AND. nprint > 1) WRITE(numout,cform_aaa)           ! Flag AAAAAAA
       !
       IF( ln_timing    )   CALL timing_stop( 'nemo_init')
@@ -536,5 +539,4 @@
       ENDIF
       !
-      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
       nictls    = nn_ictls
       nictle    = nn_ictle
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/step.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/step.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/step.F90	(revision 11782)
@@ -298,6 +298,6 @@
       IF( kstp == nit000 ) THEN                          ! 1st time step only
                                         CALL iom_close( numror )   ! close input  ocean restart file
-         IF(lwm)                        CALL FLUSH    ( numond )   ! flush output namelist oce
-         IF(lwm .AND. numoni /= -1 )    CALL FLUSH    ( numoni )   ! flush output namelist ice (if exist)
+         IF( lwm .AND. numond /= -1 )    CALL FLUSH    ( numond )   ! flush output namelist oce
+         IF( lwm .AND. numoni /= -1 )    CALL FLUSH    ( numoni )   ! flush output namelist ice (if exist)
       ENDIF
 
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/timing.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/timing.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/timing.F90	(revision 11782)
@@ -375,5 +375,5 @@
       CALL MPI_GATHER( (/compute_time, waiting_time(1), waiting_time(2), elapsed_time/),   &
          &             4, MPI_DOUBLE_PRECISION, timing_glob, 4, MPI_DOUBLE_PRECISION, 0, MPI_COMM_OCE, icode)
-      IF( narea == 1 ) THEN
+      IF( narea == 1 .AND. nprint > 1) THEN
          WRITE(numtime,*) ' '
          WRITE(numtime,*) ' Report on time spent on waiting MPI messages '
Index: /NEMO/branches/2019/dev_r11756_text_output/src/SAS/daymod.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/SAS/daymod.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/SAS/daymod.F90	(revision 11782)
@@ -134,5 +134,5 @@
 
       ! control print
-      IF(lwp) WRITE(numout,'(a,i6,a,i2,a,i2,a,i8,a,i8,a,i8,a,i8)')   &
+      IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i6,a,i2,a,i2,a,i8,a,i8,a,i8,a,i8)')   &
            &                   ' =======>> 1/2 time step before the start of the run DATE Y/M/D = ',   &
            &                   nyear, '/', nmonth, '/', nday, '  nsec_day:', nsec_day, '  nsec_week:', nsec_week, '  &
@@ -267,7 +267,7 @@
          CALL ymds2ju( nyear, 01, 01, 0.0, fjulstartyear )
          !
-         IF(lwp) WRITE(numout,'(a,i8,a,i4.4,a,i2.2,a,i2.2,a,i3.3)') '======>> time-step =', kt,   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i8,a,i4.4,a,i2.2,a,i2.2,a,i3.3)') '======>> time-step =', kt,   &
               &   '      New day, DATE Y/M/D = ', nyear, '/', nmonth, '/', nday, '      nday_year = ', nday_year
-         IF(lwp) WRITE(numout,'(a,i8,a,i7,a,i5)') '         nsec_year = ', nsec_year,   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i8,a,i7,a,i5)') '         nsec_year = ', nsec_year,   &
               &   '   nsec_month = ', nsec_month, '   nsec_day = ', nsec_day, '   nsec_week = ', nsec_week
       ENDIF
Index: /NEMO/branches/2019/dev_r11756_text_output/src/SAS/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/SAS/nemogcm.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/SAS/nemogcm.F90	(revision 11782)
@@ -96,5 +96,5 @@
       CALL mpp_max( 'nemogcm', nstop )
 
-      IF(lwp) WRITE(numout,cform_aaa)   ! Flag AAAAAAA
+      IF(lwp .AND. nprint > 1) WRITE(numout,cform_aaa)   ! Flag AAAAAAA
 
       !                            !-----------------------!
@@ -148,5 +148,5 @@
       !                            !==  finalize the run  ==!
       !                            !------------------------!
-      IF(lwp) WRITE(numout,cform_aaa)        ! Flag AAAAAAA
+      IF(lwp .AND. nprint > 1) WRITE(numout,cform_aaa)        ! Flag AAAAAAA
       !
       IF( nstop /= 0 .AND. lwp ) THEN        ! error print
@@ -234,5 +234,5 @@
                      CALL ctl_opn( numnam_ref,        'namelist_sas_ref',     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
                      CALL ctl_opn( numnam_cfg,        'namelist_sas_cfg',     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
-         IF( lwm )   CALL ctl_opn(     numond, 'output.namelist_sas.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
+         IF( lwm .AND. nprint > 2 )   CALL ctl_opn(     numond, 'output.namelist_sas.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
       ELSE
          IF( lwm )   CALL ctl_opn(     numout,            'ocean.output', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
@@ -240,5 +240,5 @@
                      CALL ctl_opn( numnam_ref,            'namelist_ref',     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
                      CALL ctl_opn( numnam_cfg,            'namelist_cfg',     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
-         IF( lwm )   CALL ctl_opn(     numond,     'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
+         IF( lwm .AND. nprint > 2  )   CALL ctl_opn(     numond,     'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, -1, .FALSE. )
       ENDIF
       ! open /dev/null file to be able to supress output write easily
@@ -288,5 +288,5 @@
          WRITE(numout,*)
          !
-         WRITE(numout,cform_aaa)                                        ! Flag AAAAAAA
+         IF(nprint > 1) WRITE(numout,cform_aaa)                                        ! Flag AAAAAAA
          !
       ENDIF
@@ -305,5 +305,5 @@
       ENDIF
       !
-      IF(lwm) WRITE( numond, namctl )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namctl )
       !
       !                             !------------------------------------!
@@ -324,5 +324,7 @@
       ENDIF
       !
-      IF(lwm)   WRITE( numond, namcfg )
+      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
+      !
+      IF(lwm .AND. nprint > 2)   WRITE( numond, namcfg )
       !
       !                             !-----------------------------------------!
@@ -362,5 +364,5 @@
                            CALL icb_init( rdt, nit000)   ! initialise icebergs instance
       !
-      IF(lwp) WRITE(numout,cform_aaa)           ! Flag AAAAAAA
+      IF(lwp .AND. nprint > 1) WRITE(numout,cform_aaa)           ! Flag AAAAAAA
       !
       IF( ln_timing    )   CALL timing_stop( 'nemo_init')
@@ -406,5 +408,4 @@
       ENDIF
       !
-      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
       nictls    = nn_ictls
       nictle    = nn_ictle
Index: /NEMO/branches/2019/dev_r11756_text_output/src/SAS/sbcssm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/SAS/sbcssm.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/SAS/sbcssm.F90	(revision 11782)
@@ -192,5 +192,5 @@
       READ  ( numnam_cfg, namsbc_sas, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_sas in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsbc_sas )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_sas )
       !           
       IF(lwp) THEN                              ! Control print
